### netcdfjs

`0.3.3`
Need help reading this?

### NetCDFReader

src/index.js

Reads a NetCDF v3.x file https://www.unidata.ucar.edu/software/netcdf/docs/file_format_specifications.html

new NetCDFReader(data: ArrayBuffer)
Parameters
data `(ArrayBuffer)` ArrayBuffer or any Typed Array (including Node.js' Buffer from v4) with the data
Instance Members
▸ dimensions
src/index.js
dimensions
Returns
`Array<object>`: List of dimensions with:

- `name`: String with the name of the dimension
- `size`: Number with the size of the dimension

▸ getDataVariable(variableName)
src/index.js

Retrieves the data for a given variable

getDataVariable(variableName: (string | object)): Array
Parameters
variableName `((string | object))` Name of the variable to search or variable object
Returns
`Array`: List with the variable values
▸ globalAttributes
src/index.js
globalAttributes
Returns
`Array<object>`: List of global attributes with:

- `name`: String with the name of the attribute
- `type`: String with the type of the attribute
- `value`: A number or string with the value of the attribute

▸ recordDimension
src/index.js
recordDimension
Returns
`object`: Metadata for the record dimension

- `length`: Number of elements in the record dimension
- `id`: Id number in the list of dimensions for the record dimension
- `name`: String with the name of the record dimension
- `recordStep`: Number with the record variables step size

▸ variables
src/index.js
variables
Returns
`Array<object>`: List of variables with:

- `name`: String with the name of the variable
- `dimensions`: Array with the dimension IDs of the variable
- `attributes`: Array with the attributes of the variable
- `type`: String with the type of the variable
- `size`: Number with the size of the variable
- `offset`: Number with the offset where of the variable begins
- `record`: True if is a record variable, false otherwise

▸ version
src/index.js
version
Returns
`string`: Version for the NetCDF format